Множественные уязвимости в SocialCMS

Дата публикации:
24.02.2012
Дата изменения:
24.02.2012
Всего просмотров:
866
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:ND/RL:U/RC:C) = Base:4.3/Temporal:0
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:ND/RL:U/RC:C) = Base:6.4/Temporal:0
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
SocialCMS 1.x
Уязвимые версии: SocialCMS 1.0.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение и создать пользователя с привилегиями администратора.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "category" в сценарии search.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: http://www.socialcms.com/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://www.exploit-db.com/exploits/17193/
http://packetstormsecurity.org/files/110043/SocialCMS-Cross-Site-Scripting-SQL-Injection.html

или введите имя

CAPTCHA